\documentclass[a4paper,10pt]{article}

\begin{document}

\title{\textbf{Managed Execution}}
\author{Pawel Dziepak}
\date{\textit{July 16, 2008}}
\maketitle

\section{Introduction}
\paragraph{}In Quarn OS there are three basic systems that allow the whole operating system
to work. Despite many important differences, they all needs similar functions
and procedures to manage data, messages, resources, calls and orders.
Additionally they all need extended system of access control that will help
keep system secure. That's why, these basic algorithms are grouped into main
Quarn OS core called Manes (Managed Execution System). Their task is to provide
objects of different type with necessary access restrictions.

\section{Types}

\subsection{Main types}

factories: zero, filesystem, memory manager, bus, server
childrens: factory, file, object/buffer, device, service

\section{Objects}

\section{Managers}

\section{Access control}

\end{document}
